
D4Science Infrastructure - VM Creation #7902

VRE # 7892 (Released): Creation of new VRE - EcoEvo

Create a CKAN instance for EcoEvo VRE

Mar 30, 2017 12:48 PM - Leonardo Candela

Status: Closed Start date: Mar 30, 2017

Priority: Immediate Due date: Mar 31, 2017

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: Data Catalogue   

Infrastructure: Production Applications list and

version:

 

RAM: 4 Applications context

path:

 

CPU: 2 External storage data

disk:

 

DiskSpace: 15 Smartgears auth

connector:

CKAN connector

Smartgears: Yes data transfer

enabled:

No

Smartgears Version:  PostgreSQL

database:

Yes

Application

Instructions:

 Number of VMs:  

Smartgears scopes: /d4science.research-infrastructures.eu/D

4Research/EcoEvo

  

Description

The EcoEvo VRE is not linked to any existing project or initiative. 

A dedicated catalogue instance should be created in the D4Research context. If possible this instance can rely on existing RDB and

ElasticSearch instances. It is impossible to estimate the number of items that will be registered into the catalogue, yet I do not feel

there will be millions.   

History

#1 - Mar 31, 2017 11:55 AM - Leonardo Candela

- Subject changed from CReate a CKAN instance for EcoEvo VRE to Create a CKAN instance for EcoEvo VRE

- Due date set to Mar 31, 2017

#2 - Mar 31, 2017 12:26 PM - Andrea Dell'Amico

- Tracker changed from Task to VM Creation

- RAM set to 4

- CPU set to 2

- DiskSpace set to 15

- Smartgears set to Yes

#3 - Mar 31, 2017 12:41 PM - Andrea Dell'Amico

- data transfer enabled set to No

- Smartgears auth connector CKAN connector added

#4 - Mar 31, 2017 12:55 PM - Andrea Dell'Amico

- Smartgears scopes updated

#5 - Mar 31, 2017 01:08 PM - Andrea Dell'Amico
- PostgreSQL database set to Yes

#6 - Apr 04, 2017 10:19 AM - Leonardo Candela

- Priority changed from Normal to High

Is there any news about the deployment of the service, it is one of the key component for the VRE 

#7 - Apr 04, 2017 12:52 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 10

New host name will be ckan-ecoevo.d4science.org

#8 - Apr 05, 2017 05:34 PM - Andrea Dell'Amico

- % Done changed from 10 to 30

#9 - Apr 05, 2017 07:12 PM - Andrea Dell'Amico

@francesco.mangiacrapa@isti.cnr.it the template download is failing for ckan-ecoevo:

fatal: [ckan-ecoevo.d4science.org]: FAILED! => {"changed": false, "dest": "/usr/lib/ckan/default/src/ckanext-d

4science_theme/ckanext/d4science_theme/templates/home/snippets/promoted.html", "failed": true, "gid": 1001, "g

roup": "ckan", "mode": "0644", "msg": "Request failed", "owner": "ckan", "response": "HTTP Error 404: Not Foun

d", "size": 1547, "state": "file", "status_code": 404, "uid": 1001, "url": "http://svn.research-infrastructure

s.eu/public/d4science/gcube/branches/data-catalogue/ckan-d4science-extension/2.6/promoted/ckan-ecoevo.d4scienc

e.org-promoted.html"}

#10 - Apr 06, 2017 09:51 AM - Leonardo Candela

- Priority changed from High to Immediate

#11 - Apr 06, 2017 10:11 AM - Francesco Mangiacrapa

Andrea Dell'Amico wrote:

@francesco.mangiacrapa@isti.cnr.it the template download is failing for ckan-ecoevo:

fatal: [ckan-ecoevo.d4science.org]: FAILED! => {"changed": false, "dest": "/usr/lib/ckan/default/src/ckane

xt-d4science_theme/ckanext/d4science_theme/templates/home/snippets/promoted.html", "failed": true, "gid": 

1001, "group": "ckan", "mode": "0644", "msg": "Request failed", "owner": "ckan", "response": "HTTP Error 4

04: Not Found", "size": 1547, "state": "file", "status_code": 404, "uid": 1001, "url": "http://svn.researc

h-infrastructures.eu/public/d4science/gcube/branches/data-catalogue/ckan-d4science-extension/2.6/promoted/

ckan-ecoevo.d4science.org-promoted.html"}

 

Andrea, the error seems due to download of 

http://svn.research-infrastructures.eu/public/d4science/gcube/branches/data-catalogue/ckan-d4science-extension/2.6/promoted/ckan-ecoevo.d4scien

ce.org-promoted.html which does not exist.

However, the ansible playbook in this case could skip the error and take the default promoted.html located here:

http://svn.research-infrastructures.eu/public/d4science/gcube/branches/data-catalogue/ckan-d4science-extension/2.6/promoted/default-promoted.html

I just added the file ckan-ecoevo.d4science.org-promoted.html, @andrea.dellamico@isti.cnr.it you can try again.. thx

@leonardo.candela@isti.cnr.it Can you provide a Welcome message to this catalogue? A promoted message like this..

http://svn.research-infrastructures.eu/public/d4science/gcube/branches/data-catalogue/ckan-d4science-extension/2.6/promoted/ckan-d4s.d4science.o

rg-promoted.html

#12 - Apr 06, 2017 10:35 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 30 to 100

The service is up: https://ckan-ecoevo.d4science.org/

#13 - Apr 06, 2017 11:03 AM - Francesco Mangiacrapa

Thx... Andrea It seems work fine.

Moreover, Can you add the following entries for the prodcution.ini?
ckan.d4science_theme.systemtypefield = system:type

ckan.d4science_theme.namespace_separator = :

 Thx again

#14 - Apr 06, 2017 11:13 AM - Andrea Dell'Amico

playbook ready for both prod and dev. Let me know if/when run it and on which hosts.

#15 - Apr 06, 2017 12:51 PM - Francesco Mangiacrapa

@andrea.dellamico@isti.cnr.it configurations for production.ini have been added correctly

Moreover, I updated ckan-theme plugin via ansible and It works fine

https://ckan-ecoevo.d4science.org/

please @costantino.perciante@isti.cnr.it , add GR/RR to the EcoEvo VRE (see: https://services.d4science.org/group/ecoevo/datasets) for Data

Catalogue Portlet

#16 - Apr 06, 2017 02:07 PM - Costantino Perciante

I need some information to create such resources:

db location, user and password of the ckan instance;

where ckan is located (its url) and the token of the sysadmin for that instance

please provide this information

#17 - Apr 06, 2017 02:37 PM - Andrea Dell'Amico

Costantino Perciante wrote:

I need some information to create such resources:

db location, user and password of the ckan instance;

 DB host and password are the same as the other instances. The DB name is ckan_ecoevo, the DB username is ckan_ecoevo_u

where ckan is located (its url) and the token of the sysadmin for that instance

 You find the URL at https://support.d4science.org/issues/7902#note-12

The token resides here: /home/gcube/tomcat/webapps/ckan-connector/WEB-INF/web.xml on the machine. You have access to it.

please provide this information

#18 - Apr 06, 2017 03:22 PM - Costantino Perciante

Thanks Andrea.

Resources have been added to the context. I've also created the EcoEvo organization. Please let me know if someone there need catalogue

administrator role

#19 - Apr 08, 2017 08:46 AM - Leonardo Candela

- Status changed from Feedback to Closed
